Packages - Freedom Issue #995

[your-freedom] Add certain packages from the Antergos repo
2016-04-26 11:08 PM - pizzaiolo

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: isacdaavid

Category:

Description

Link: http://mirrors.antergos.com/antergos/x86_64/

There are some obvious offenders there like dropbox, chromium-pepper-flash, b43-firmware and broadcom-wl. There may be more,
but I'm not certain.

| kindly ask that you do not blacklist antergos-specific packages such as cnchi, grub2-theme-antergos or lightdm-webkit2-greeter,
since they are already being taken care of at #844, #980 and #981

Related issues:
Related to Packages - Freedom Issue #1055: [ttf-ubuntu-font-family] Ubuntu fo... fixed 2016-07-16

History

#1 - 2016-04-27 07:47 PM - isacdaavid

- Assignee set to isacdaavid

#2 - 2016-04-28 02:21 AM - isacdaavid
- % Done changed from 0 to 50

In addition to those I'm adding clion-eap, intellij-idea-ue-eap, pycharm-pro-eap, firefox-beta, opera-developer, vivaldi, slimjet, ttf-opificio and yaourt.
Upstream gfxboot is free [1] but the Anteregos package doesn't look like it's being built from sources,[2] nor is terminix, nor their icecat (please correct
me if I'm mistaken). icecat and octopi are already being taken care of so they don't need to be blacklisted. Upstream terminix claims to need dmd in
order to build, so it belongs straight to the blacklist.

| don't know where that grub-zfs package is coming from, | don't see a corresponding PKGBUILD.

| couldn't retrieve the sources used by libreoffice-installer, pacmanxg4 (both PKGBUILDs invoke the same dead host http:/almin-soft.fsay.net),
A e-this Pk hash j and numix-icon-theme-square.

ttf-google-fonts contains fonts licensed under the Ubuntu Font License (a SIL Open Font License 1.1 derivative). It looks free to me and so does the
package as a whole, but the FSF hasn't commented on this specific license.

The following packages could be free to the best of my research (some of them we already package in our repos):

ckbcomp compton copyq corebird divehi-fonts dummy-package dummy-package-git econnman feedreader gcab gnome-shell-extension-dash-to-dock
gnome-shell-extension-panel-osd gnome-shell-extension-status-menu-buttons gnome-shell-extension-topicons grub2-editor gtk-theme-arc
gtk-theme-paper htmli2text kde-servicemenus-rootactions kdesudo kfaenza-icon-theme kmozillahelper libechonest-qt5 liblastfm-qt5
light-locker-settings mate-mint-menu n1 numix-frost-themes numix-icon-theme openbox-menu package-query pamac pamac-dev paranoid
plank-theme-numix plymouth pm2ml powerpill profile-sync-daemon pycharm-pro-eap python-bugsnag python-dbusdecorator python-efl python-parted
python3-xcpf rage remendo ruby-sass scudcloud spl spl-utils ssx tomahawk ttf-aboriginal-sans ttf-myanmar3 ttf-opensans vte-notification-common
vte3-notification waldorf-ui-theme xinput_calibrator zfs zfs-utils zuki-themes zukitwo-theme-openbox

(It looks like the n1 PKGBUILD has incorrect license metadata; it should be GPL3 not MIT. That may merit writing a report to the AUR and Ateregos
maintainers)

| didn't check their dependencies and optional dependencies; I'm not taking branding issues into consideration either as per your petition.
Would you like to comment before | push those changes to the blacklist?

[1]: https://github.com/openSUSE/gfxboot
[2]: hitps://github.com/Antergos/antergos-packages/tree/master/gfxboot

#3 - 2016-04-28 02:31 AM - pizzaiolo

Looks fine by me. Go ahead and blacklist them.

I've taken your suggestion and opened a bug report at their Github repo: https:/github.com/Antergos/antergos-packages/issues/98
#4 - 2016-04-29 12:02 AM - isacdaavid
- % Done changed from 50 to 100

#5 - 2016-04-29 12:03 AM - isacdaavid

- Status changed from open to fixed

#6 - 2016-04-29 02:07 PM - pizzaiolo

For some reason, adding yaourt to the blacklist broke updates for me. I fixed it by running sudo pacman -Rsc yaourt.

#7 - 2016-07-20 07:36 PM - isacdaavid

- Related to Freedom Issue #1055: [ttf-ubuntu-font-family] Ubuntu font license considered non-free by DFSG and Fedora added
